
package net.mcreator.floracraft.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.layers.RenderLayer;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.LivingEntityRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.renderer.RenderType;
import net.minecraft.client.renderer.MultiBufferSource;
import net.minecraft.client.model.EntityModel;
import net.minecraft.client.Minecraft;

import net.mcreator.floracraft.entity.WitherowylucznikEntity;
import net.mcreator.floracraft.client.model.ModelCustomModel;

import com.mojang.blaze3d.vertex.VertexConsumer;
import com.mojang.blaze3d.vertex.PoseStack;

public class WitherowylucznikRenderer extends MobRenderer<WitherowylucznikEntity, ModelCustomModel<WitherowylucznikEntity>> {
	public WitherowylucznikRenderer(EntityRendererProvider.Context context) {
		super(context, new ModelCustomModel(context.bakeLayer(ModelCustomModel.LAYER_LOCATION)), 0.5f);
		this.addLayer(new RenderLayer<WitherowylucznikEntity, ModelCustomModel<WitherowylucznikEntity>>(this) {
			final ResourceLocation LAYER_TEXTURE = ResourceLocation.parse("flora_craft:textures/entities/stray_overlay.png");

			@Override
			public void render(PoseStack poseStack, MultiBufferSource bufferSource, int light, WitherowylucznikEntity entity, float limbSwing, float limbSwingAmount, float partialTicks, float ageInTicks, float netHeadYaw, float headPitch) {
				VertexConsumer vertexConsumer = bufferSource.getBuffer(RenderType.eyes(LAYER_TEXTURE));
				EntityModel model = new ModelCustomModel(Minecraft.getInstance().getEntityModels().bakeLayer(ModelCustomModel.LAYER_LOCATION));
				this.getParentModel().copyPropertiesTo(model);
				model.prepareMobModel(entity, limbSwing, limbSwingAmount, partialTicks);
				model.setupAnim(entity, limbSwing, limbSwingAmount, ageInTicks, netHeadYaw, headPitch);
				model.renderToBuffer(poseStack, vertexConsumer, light, LivingEntityRenderer.getOverlayCoords(entity, 0));
			}
		});
	}

	@Override
	public ResourceLocation getTextureLocation(WitherowylucznikEntity entity) {
		return ResourceLocation.parse("flora_craft:textures/entities/wither_skeleton.png");
	}
}
