
package net.mcreator.floracraft.fluid;

import net.neoforged.neoforge.fluids.BaseFlowingFluid;

import net.minecraft.world.level.material.FluidState;
import net.minecraft.world.level.material.Fluid;
import net.minecraft.world.level.block.state.StateDefinition;
import net.minecraft.world.level.block.LiquidBlock;
import net.minecraft.core.particles.ParticleTypes;
import net.minecraft.core.particles.ParticleOptions;

import net.mcreator.floracraft.init.FloraCraftModItems;
import net.mcreator.floracraft.init.FloraCraftModFluids;
import net.mcreator.floracraft.init.FloraCraftModFluidTypes;
import net.mcreator.floracraft.init.FloraCraftModBlocks;

public abstract class WitherowawodaFluid extends BaseFlowingFluid {
	public static final BaseFlowingFluid.Properties PROPERTIES = new BaseFlowingFluid.Properties(() -> FloraCraftModFluidTypes.WITHEROWAWODA_TYPE.get(), () -> FloraCraftModFluids.WITHEROWAWODA.get(),
			() -> FloraCraftModFluids.FLOWING_WITHEROWAWODA.get()).explosionResistance(100f).bucket(() -> FloraCraftModItems.WITHEROWAWODA_BUCKET.get()).block(() -> (LiquidBlock) FloraCraftModBlocks.WITHEROWAWODA.get());

	private WitherowawodaFluid() {
		super(PROPERTIES);
	}

	@Override
	public ParticleOptions getDripParticle() {
		return ParticleTypes.EXPLOSION;
	}

	public static class Source extends WitherowawodaFluid {
		public int getAmount(FluidState state) {
			return 8;
		}

		public boolean isSource(FluidState state) {
			return true;
		}
	}

	public static class Flowing extends WitherowawodaFluid {
		protected void createFluidStateDefinition(StateDefinition.Builder<Fluid, FluidState> builder) {
			super.createFluidStateDefinition(builder);
			builder.add(LEVEL);
		}

		public int getAmount(FluidState state) {
			return state.getValue(LEVEL);
		}

		public boolean isSource(FluidState state) {
			return false;
		}
	}
}
