
/*
 * MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.floracraft.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;
import net.neoforged.fml.event.lifecycle.FMLClientSetupEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;
import net.neoforged.api.distmarker.Dist;

import net.minecraft.world.level.material.Fluid;
import net.minecraft.world.level.material.FlowingFluid;
import net.minecraft.core.registries.BuiltInRegistries;
import net.minecraft.client.renderer.RenderType;
import net.minecraft.client.renderer.ItemBlockRenderTypes;

import net.mcreator.floracraft.fluid.WitherowawodaFluid;
import net.mcreator.floracraft.FloraCraftMod;

public class FloraCraftModFluids {
	public static final DeferredRegister<Fluid> REGISTRY = DeferredRegister.create(BuiltInRegistries.FLUID, FloraCraftMod.MODID);
	public static final DeferredHolder<Fluid, FlowingFluid> WITHEROWAWODA = REGISTRY.register("witherowawoda", () -> new WitherowawodaFluid.Source());
	public static final DeferredHolder<Fluid, FlowingFluid> FLOWING_WITHEROWAWODA = REGISTRY.register("flowing_witherowawoda", () -> new WitherowawodaFluid.Flowing());

	@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD, value = Dist.CLIENT)
	public static class FluidsClientSideHandler {
		@SubscribeEvent
		public static void clientSetup(FMLClientSetupEvent event) {
			ItemBlockRenderTypes.setRenderLayer(WITHEROWAWODA.get(), RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(FLOWING_WITHEROWAWODA.get(), RenderType.translucent());
		}
	}
}
