
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.floracraft.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.event.BuildCreativeModeTabContentsEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;

import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.core.registries.Registries;

import net.mcreator.floracraft.FloraCraftMod;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD)
public class FloraCraftModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, FloraCraftMod.MODID);

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.BUILDING_BLOCKS) {

			tabData.accept(FloraCraftModBlocks.JABLONNE_LOG.get().asItem());
			tabData.accept(FloraCraftModBlocks.JABLONNE_WOOD.get().asItem());
			tabData.accept(FloraCraftModBlocks.JABLONNE_PLANKS.get().asItem());
			tabData.accept(FloraCraftModBlocks.JABLONNE_STAIRS.get().asItem());
			tabData.accept(FloraCraftModBlocks.JABLONNE_SLAB.get().asItem());
			tabData.accept(FloraCraftModBlocks.JABLONNE_FENCE.get().asItem());
			tabData.accept(FloraCraftModBlocks.JABLONNE_FENCE_GATE.get().asItem());
			tabData.accept(FloraCraftModBlocks.JABLONNE_PRESSURE_PLATE.get().asItem());
			tabData.accept(FloraCraftModBlocks.JABLONNE_BUTTON.get().asItem());
			tabData.accept(FloraCraftModBlocks.JABLONKOWEDRZWI.get().asItem());
			tabData.accept(FloraCraftModBlocks.WITHEROWE_LOG.get().asItem());
			tabData.accept(FloraCraftModBlocks.WITHEROWE_WOOD.get().asItem());
			tabData.accept(FloraCraftModBlocks.WITHEROWE_PLANKS.get().asItem());
			tabData.accept(FloraCraftModBlocks.WITHEROWE_STAIRS.get().asItem());
			tabData.accept(FloraCraftModBlocks.WITHEROWE_SLAB.get().asItem());
			tabData.accept(FloraCraftModBlocks.WITHEROWE_FENCE.get().asItem());
			tabData.accept(FloraCraftModBlocks.WITHEROWE_FENCE_GATE.get().asItem());
			tabData.accept(FloraCraftModBlocks.WITHEROWE_PRESSURE_PLATE.get().asItem());
			tabData.accept(FloraCraftModBlocks.WITHEROWE_BUTTON.get().asItem());
			tabData.accept(FloraCraftModBlocks.WITHEROWEDRZWI.get().asItem());
			tabData.accept(FloraCraftModBlocks.WITHEROWECIALO.get().asItem());

		} else if (tabData.getTabKey() == CreativeModeTabs.FUNCTIONAL_BLOCKS) {

			tabData.accept(FloraCraftModBlocks.WITHEROWECIALO.get().asItem());

		} else if (tabData.getTabKey() == CreativeModeTabs.SPAWN_EGGS) {

			tabData.accept(FloraCraftModItems.WITHEROWYLUCZNIK_SPAWN_EGG.get());

		} else if (tabData.getTabKey() == CreativeModeTabs.NATURAL_BLOCKS) {

			tabData.accept(FloraCraftModBlocks.SADZONKAJABLONKI.get().asItem());
			tabData.accept(FloraCraftModBlocks.JABLONNE_LEAVES.get().asItem());
			tabData.accept(FloraCraftModBlocks.LISCIEJABLONIZKWIATAMI.get().asItem());
			tabData.accept(FloraCraftModBlocks.LISCIEJABLONIZOWOCAMI.get().asItem());
			tabData.accept(FloraCraftModBlocks.WITHEROWASADZONKA.get().asItem());
			tabData.accept(FloraCraftModBlocks.WITHEROWE_LEAVES.get().asItem());
			tabData.accept(FloraCraftModBlocks.WITHEROWELISCIEZDZBANKAMISMIERCI.get().asItem());
			tabData.accept(FloraCraftModBlocks.WITHEROWENYLUM.get().asItem());
			tabData.accept(FloraCraftModBlocks.TOKSYCZNAZIEMIA.get().asItem());

		} else if (tabData.getTabKey() == CreativeModeTabs.TOOLS_AND_UTILITIES) {

			tabData.accept(FloraCraftModItems.WITHEROWAWODA_BUCKET.get());

		}
	}
}
